Skip to content

Get List of Players Participating in Campaign

This endpoint retrieves a list of players in a campaign.

API Call Sample:

GET
/api/v1/campaign/{campaignId}/participant
curl -i -X GET \
  -u '<username>:<password>' \
  'https://asia.stage.rubyplay.io/api/v1/campaign/123/participant?playerId=player1&receivedAt=2022-01-02&lastRoundDate=2022-01-02&status=QUEUED&paging.pageNumber=1&paging.pageSize=10&paging.sortBy=id&paging.order=ASCENDING'
Response
{ "content": [ { "id": 7, "playerId": "player123", "receivedAt": "2022-02-22T22:22:22Z", "totalBet": 777, "totalWin": 77, "roundsPlayed": 7, "lastRoundDate": "2022-02-22T22:22:22Z", "status": "QUEUED" } ], "total": 150, "_metadata": { "pagingInfo": { "pageNumber": 1, "pageSize": 10, "sortBy": "id", "order": "ASCENDING" }, "totalNumberOfElements": 250 } }

Query Parameters:

playerIdstring

Player identifier in the Operator side

Example:"player1"
receivedAtstring, (date)

Date of receiving free rounds

Example:"2022-01-02"
lastRoundDatestring, (date)

Date of the last played free round within the campaign

Example:"2022-01-02"
statusstring
  • QUEUED - A bonus is awarded to a player who has not used any of the free rounds yet.

  • IN_USE - A bonus is awarded to a player who has accepted the campaign. This status also applies to players who have started but haven't completed the free rounds yet. Free rounds for those players remain available even after the expiry date of the campaign.

  • COMPLETED - The player consumed all available free rounds, and any winnings have been awarded (issued to the Operator).

  • EXPIRED - The expiry date for free rounds has been reached, the promotion has been removed from player accounts, and any players who have not participated yet are not able to complete the promotion.

  • OPT_OUT - Player has declined the promotion pop up

Example:"QUEUED"
pagingobject(PagingInfo)

Response Schema:

contentArray of objects(ParticipantDto)

List of results matching the search criteria

totalinteger, (int64)

Total number of items available (not just in this page)

Example:150
_metadataobject(PagingMetadata)

Pagination metadata including current page information